using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity.WorkProcess;
using GxPress.Entity.WorkProcessDto;

namespace GxPress.Service.Interface
{
    public interface IProcessService : IService
    {
        Task<Process> AddAsync(ProcessDto request);

        Task<Process> EditAsync(ProcessDto request);

        Task<ProcessDto> GetAsync(int processId);

        Task<List<ProcessNodeDto>> GetNodesAsync(int processId, int parentId);
        Task<List<ProcessNodeDto>> GetAllAsync(int processId);
    }
}